/**
 * Copyright (c) 2022
 *    Marcus Britanicus (https://gitlab.com/marcusbritanicus)
 *    Abrar (https://gitlab.com/s96Abrar)
 *    rahmanshaber (https://gitlab.com/rahmanshaber)
 *
 * IMPL Class
 *  The UPowerBackend watches the org.freedesktop.UPower and
 *  relays the relevent information to DFL::PowerManager class.
 *  This is purely an implementational detail.
 *  This class can be modified/removed at anytime.
 **/

#pragma once

#include <QtCore>
#include <QtDBus>

typedef struct login1_impl_t {
    /** DBus Login1 Interface */
    QDBusInterface *login1 = nullptr;

    /** DBus Login1 User Session Interface */
    QDBusInterface *session1 = nullptr;

    /** Inhibitor locks */
    int            sleepLockFD     = -1;
    int            shutdownLockFD  = -1;
    int            idleLockFD      = -1;
    int            keyLocksFD      = -1;
    int            lidSwitchLockFD = -1;

    /** App name */
    QString        appName;
} Login1Impl;
